import { getUserPlaylists } from "@/lib/users";
import Link from "next/link";

interface UserPlaylistsProps {
	user_id: string;
}

export async function UserPlaylists({ user_id }: UserPlaylistsProps) {
	await new Promise((resolve) => setTimeout(resolve, 2000));
	const playlists = await getUserPlaylists(user_id);

	return (
		<div className="grid grid-cols-6 gap-8">
			{playlists.map((playlist) => (
				<Link
					key={playlist.id}
					href={`/playlists/${playlist.id}`}
					className="group flex flex-col gap-2"
				>
					<div className="aspect-square w-full rounded-md border bg-secondary transition-transform group-hover:scale-105" />
					<p>{playlist.name}</p>
				</Link>
			))}
		</div>
	);
}
