interface LogoProps {
	size?: number | string;
}

export default function Logo({ size = 32 }: LogoProps) {
	return (
		<svg
			width={size}
			height={size}
			viewBox="0 0 128 128"
			fill="none"
			xmlns="http://www.w3.org/2000/svg"
		>
			<g clipPath="url(#clip0_113_367)">
				<rect width="128" height="128" rx="64" fill="#858EE1" />
				<rect
					x="16"
					y="-10"
					width="124"
					height="123"
					rx="61.5"
					fill="#959EEE"
				/>
				<rect x="52" y="37" width="18" height="38" rx="9" fill="#323657" />
				<rect
					x="60.1"
					y="43.6087"
					width="7.2"
					height="14.8696"
					rx="3.6"
					fill="white"
				/>
				<rect x="89" y="37" width="18" height="38" rx="9" fill="#323657" />
				<rect
					x="97.1"
					y="43.6087"
					width="7.2"
					height="14.8696"
					rx="3.6"
					fill="white"
				/>
			</g>
			<rect
				x="2"
				y="2"
				width="124"
				height="124"
				rx="62"
				stroke="#7178C0"
				strokeWidth="4"
			/>
			<defs>
				<clipPath id="clip0_113_367">
					<rect width="128" height="128" rx="64" fill="white" />
				</clipPath>
			</defs>
		</svg>
	);
}
