export async function fetchAPI<Body>(
	url: string,
	options: RequestInit = {},
): Promise<Body> {
	// Modify options.
	if (!options.next?.tags?.length) {
		options.cache = "no-cache";
	}

	const response = await fetch(`http://localhost:9000${url}`, options);

	if (!response.ok) {
		throw new Error(response.statusText);
	}

	return response.json();
}
