import { fetchAPI } from "./api";

export async function getPlaylist(playlist_id: string): Promise<Playlist> {
	return fetchAPI(`/playlists/${playlist_id}`, {
		next: {
			tags: [`playlists:${playlist_id}`],
		},
	});
}
export interface Playlist {
	id: string;
	name: string;

	creator: {
		id: string;
		name: string;
	};

	tracks: PlaylistTrack[];
	tracks_count: number;
	duration: number;
}

interface PlaylistTrack {
	id: string;
	title: string;
	duration_ms: number;
	artists: PlaylistArtist[];

	spotify_id?: string;
	tidal_id?: string;
}

interface PlaylistArtist {
	id: string;
	title: string;
}

export async function getPlaylists(): Promise<Playlist[]> {
	return await fetchAPI("/me/playlists", {
		headers: {
			authorization:
				"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoiUE9qR21MbmVLbW55cjRtcWFiQ2VYVHFmIiwiZXhwIjoxNzA2ODM0NzUzfQ.cvHBWq_Vsg9o2LiicTNYmVJbC1pUGXoW4Jda3V3t0cw",
		},
	});
}
