import { fetchAPI } from "./api";
import { Playlist } from "./playlists";

export interface User {
	id: string;
	name: string;
}

export async function getUser(user_id: string): Promise<User> {
	return fetchAPI<User>(`/users/${user_id}`, {
		next: {
			tags: [`users:${user_id}`],
		},
	});
}

export async function getUserPlaylists(user_id: string): Promise<Playlist[]> {
	return fetchAPI<Playlist[]>(`/users/${user_id}/playlists`, {
		next: {
			tags: [`users:${user_id}:playlists`],
		},
	});
}
